%define oname	pywebkitgtk

Summary:	Python bindings for WebKitGtk
Name:		python-webkitgtk
Version:	1.1.8
Release:	%mkrel 3
Source0:	http://pywebkitgtk.googlecode.com/files/%{oname}-%{version}.tar.bz2
License:	LGPLv2+
Group:		Development/Python
URL:		http://code.google.com/p/pywebkitgtk/
BuildRequires:	webkitgtk-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:  python

Provides:	%{oname} = %{version}-%{release}

%description
PyWebKitGtk provides an API for developers to program WebKit/Gtk using
Python.

%prep
%setup -q -n %{oname}-%{version}

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm -f

%files
%doc AUTHORS MAINTAINERS NEWS README
%dir %{python_sitearch}/webkit
%{python_sitearch}/webkit/*.py
%{python_sitearch}/webkit/webkit.*
%dir %{_datadir}/pywebkitgtk
%{_datadir}/pywebkitgtk/defs/webkit-*.defs
%exclude %{_libdir}/pkgconfig/pywebkitgtk-1.0.pc


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.1.8-3.mga3
+ Revision: 379677
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 21 2011 dmorgan <dmorgan> 1.1.8-2.mga2
+ Revision: 111122
- Clean spec file
  Rebuild against new webkit

* Sun Apr 17 2011 ahmad <ahmad> 1.1.8-1.mga1
+ Revision: 86858
- update to 1.1.8
- disable static build; and don't ship .la
- own %%{python_sitearch}/webkit and %%{_datadir}/pywebkitgtk dirs (tip from Fedora)
- don't ship the .pc file (doesn't seem that useful)

* Sat Mar 05 2011 dmorgan <dmorgan> 1.1.7-2.mga1
+ Revision: 64728
- imported package python-webkitgtk

